﻿@import url("https://fonts.googleapis.com/css2?family=Open+Sans:ital,wght@0,400;0,600;1,600&display=swap");

html {
    height: 100%;
}

body {
    margin: 0;
    padding: 0;
    height: 100vh;
    width: 100vw;
    overflow: hidden;
    box-sizing: content-box;
    background-image: url(../../Asset/wp2754864.jpg);
    background-size: cover;
    background-position: center center;
    background-repeat: no-repeat;
    font-family: "Open Sans", sans-serif;
    color: #fff;
    letter-spacing: 0.03em;
}

.hidden {
    opacity: 0;
}

.desktop__items {
    display: flex;
    flex-direction: column;
    padding: 30px 25px;
    box-sizing: border-box;
}

.desktop__item {
    width: 70px;
    margin-bottom: 30px;
    display: flex;
    flex-direction: column;
    -webkit-box-align: center;
    align-items: center;
    text-decoration: none;
    cursor: pointer;
}

.desktop__item:focus .desktop__item-icon,
.desktop__item:active .desktop__item-icon {
    filter: drop-shadow(blue 0px 0px);
}

.desktop__item:focus .desktop__item-name,
.desktop__item:active .desktop__item-name {
    background-color: rgb(11, 97, 255);
}

.desktop__item-icon img {
    width: 30px;
    height: 30px;
}

.desktop__item-name {
    display: -webkit-box;
    -webkit-line-clamp: 2;
    -webkit-box-orient: vertical;
    word-break: break-word;
    overflow: hidden;
    font-size: 10px;
    color: white;
    text-shadow: black 0px 1px 1px;
    margin-top: 5px;
    text-align: center;
    user-select: none;
}

.nav__container {
    position: fixed;
    bottom: 0;
    left: 0;
    width: 100%;
    height: 40px;
    z-index: 10;
    display: flex;
    background-color: #255fdc;
    box-shadow: inset 0 3px 6px #3888e9, inset 0 -3px 6px #1e50c4;
}

.nav__logo {
    height: 100%;
    padding: 0 20px 0 10px;
    display: flex;
    justify-content: center;
    align-items: center;
    font-weight: 600;
    font-style: italic;
    line-height: 1em;
    background-color: #3fa03f;
    box-shadow: inset 2px 2px 6px #91c191, inset -2px -2px 6px #115f12;
    border-radius: 50% 10% 10% 50% / 0 50% 50% 0;
    text-shadow: 2px 1px 5px rgb(0 0 0 / 90%);
    user-select: none;
    cursor: pointer;
}

.nav__logo:hover {
    filter: brightness(0.90);
}

.nav__logo img,
.nav__timer img {
    height: 20px;
    margin-right: 5px;
    user-select: none;
}

.nav__timer {
    height: 100%;
    background-color: #0d8dea;
    box-shadow: inset 0 3px 6px #8cdfff, inset 0 -3px 6px #0d8dea;
    border-left: 1px solid rgb(16, 66, 175);
    padding: 0px 10px;
    display: flex;
    align-items: center;
    margin-left: auto;
    font-size: 11px;
    font-weight: lighter;
    user-select: none;
    cursor: pointer;
}

.nav__list {
    margin-left: 10px;
    display: grid;
    grid-auto-flow: column;
    grid-column-gap: 10px;
    align-content: center;
}

.nav__list-item {
    font-size: 12px;
    line-height: 1em;
    border: 1px solid #123c92;
    box-shadow: inset 0 2px 4px #3888e9, inset 0 -2px 4px #1e50c4;
    background: #3980f4;
    padding: 6px 17px 6px 12px;
    border-radius: 4px;
    transition: 250ms ease-in-out filter;
    user-select: none;
    display: flex;
    justify-content: center;
    align-items: center;
    cursor: pointer;
    text-decoration: none;
}

.nav__list-item--active {
    background: transparent;
    border: 1px solid #123c92;
    box-shadow: inset 2px 2px 4px #184aa6;
}

.nav__list-item img {
    height: 15px;
    margin-right: 8px;
}

.nav__list-item:active,
.nav__list-item:visited {
    color: #fff;
}

.nav__list-item:hover {
    filter: brightness(0.95);
}

.nav__list-item::after {
    content: "...";
    display: inline-block;
}

.window__container {
    position: absolute;
    width: 450px;
    z-index: 5;
    padding: 3px;
    border-top-left-radius: 5px;
    border-top-right-radius: 5px;
    background-color: #0055e7;
    box-shadow: inset 0 2px 4px #3888e9, inset 0 -2px 4px #1e50c4;
    user-select: none;
    display: grid;
    grid-template-rows: 33px auto;
    overflow: hidden;
}

.window__header {
    font-size: 15px;
    font-weight: 600;
    padding: 5px 10px 5px;
    display: flex;
    justify-content: space-between;
}

.window__header-buttons {
    display: grid;
    grid-template-columns: auto auto;
    grid-gap: 10px;
}

.window__content {
    background-color: #ebe9da;
    color: #000;
    font-size: 13px;
    padding: 10px;
    overflow: overlay;
}

.window__content-section{
    display: flex;
    flex-direction: column;
}

.window__content-image {
    margin-bottom: 10px;
}

.window__content-image img {
    width: 100%;
}

.window__header-button {
    margin-right: 1px;
    position: relative;
    width: 23px;
    height: 23px;
    border: 1px solid rgb(255, 255, 255);
    border-radius: 3px;
}

.window__header-button:hover {
    filter: brightness(0.95);
}

.window__header-button:focus {
    outline: 0;
}


.window__minimize {
    box-shadow: rgb(70 70 255) 0px -1px 2px 1px inset;
    background-image: radial-gradient(circle at 90% 90%, rgb(0, 84, 233) 0%, rgb(34, 99, 213) 55%, rgb(68, 121, 228) 70%, rgb(163, 187, 236) 90%, white 100%);
}

.window__minimize:before {
    content: "";
    position: absolute;
    left: 4px;
    top: 13px;
    height: 3px;
    width: 8px;
    background-color: white;
}

.window__close {
    box-shadow: rgb(218 70 0) 0px -1px 2px 1px inset;
    background-image: radial-gradient(circle at 90% 90%, rgb(204, 70, 0) 0%, rgb(220, 101, 39) 55%, rgb(205, 117, 70) 70%, rgb(255, 204, 178) 90%, white 100%);
}

.window__close:before,
.window__close:after  {
    content: "";
    position: absolute;
    left: 9px;
    top: 2px;
    height: 16px;
    width: 2px;
    background-color: white;
}

.window__close:before {
    transform: rotate(45deg);
}

.window__close:after {
    transform: rotate(-45deg);
}

.window__form {
    display: grid;
    grid-auto-flow: row;
    grid-gap: 10px;
    justify-items: flex-start;
}

.window__form-label {
    display: flex;
    flex-direction: column;
}

.window__submit {
    margin-top: 10px;
    margin-left: auto;
}

.error__body {
    margin: 0;
    padding: 0;
    background: #0100ab;
    color: #fff;
    font-family: monospace;
    display: flex;
    justify-content: center;
    align-items: center;
    height: 100%;
}

.error__button {
    padding: 5px 10px;
    border: 1px solid #fff;
    color: #fff;
    background-color: #da724d;
    box-shadow: inset 2px 2px 4px #df8b6d, inset -2px -2px 4px #8b3d21;
    border-radius: 3px;
    transition: 250ms ease-in-out filter;
    float: right;
    margin-top: 10px;
}

.error__button a {
    color: inherit;
    text-decoration: none;
}

.error__button:hover {
    filter: brightness(0.95);
}

.error__button:focus {
    outline: 0;
}

#grid {
    margin-left: auto;
    margin-right: auto;
}

#grid TR TD {
    border: 1px solid white;
    background: #999999;
    width: 16px;
    height: 16px;
    text-align: center;
    color: red;
}

#grid TR TD.clicked {
    background: #333333;
}

#grid TR TD.mine {
    background: #ff0000;
}

#button{
    margin-top: 10px;
    margin-left: auto;
    margin-right: auto;
}